<template lang="pug">
.row.align-items-center.no-gutters.my-1
  .col-7(@click='setSelected')
    BadgeButton(type='property' :badges='{ name }' :isSelected='isSelected')
  .col-5
    input.form-control.form-control-sm.text-center(
      ref='value' type='number'
      :min='min' :max='max' step='any'
      @focusin='isFocused = true' @focusout='isFocused = false'
      @click="onInputClick($event)" @change="onInputChange()")
  BaseAnimationBlock(anim='height')
    RelationList(v-show='isInSelection' :property='property' :state='state')
</template>
<script src='./PropertyNumber.vue.js' />
